C Input for Sr2RuO4
C Sr2RuO4 has 4 inequivalent atoms, 1=Sr, 2=Ru1, 3=O1, 4=O2, 5=intersitial
C O1 can be found in the Ru plane O2 is the apical O
C This info can be found for example in the case.struct file
C The orbitals that are use as basis for the character is
C JATOM  1  MULT= 2  ISPLIT=-2  tot,0,1,PZ,PX+PY,2,DZ2,DXY,DX2Y2,DXZ+DYZ,3   
C JATOM  2  MULT= 1  ISPLIT=-2  tot,0,1,PZ,PX+PY,2,DZ2,DXY,DX2Y2,DXZ+DYZ,3   
C JATOM  3  MULT= 2  ISPLIT= 8  tot,0,1,PX,PY,PZ,2,DZ2,DX2Y2,DXY,DXZ,DYZ,3   
C JATOM  4  MULT= 2  ISPLIT=-2  tot,0,1,PZ,PX+PY,2,DZ2,DXY,DX2Y2,DXZ+DYZ,3   
C                               | here the characters start
C This information can be found for example in the head of the *.qtl file
C the functions CharacterToThickness take as input the matrix OrbCharacter
C OrbCharacter(1,1) is for example the total Sr character of the wave function,
C whereas OrbCharacter(2,6) is the Ru-d character of the wave function.
C OrbCharacter(5,1) is the interstitial character
C The return values for Thickness shoudl be a real value, specifing the line
C thickness in pts. (1/72 inch) For Red, Green and Blue it should be a value
C between 0 and 1. (note that The sum over all Characters is one)
C 
C
C
      subroutine ReadDefinitions(qtlName,bandName,Xsize,Ysize,Emin,Emax,
     &                           Efermi,MajorTicks,MinorTicks,TextSize)
      implicit none
      character qtlName*100,bandName*100
      integer MinorTicks
      real*8 Xsize,Ysize,Emin,Emax,Efermi,MajorTicks,TextSize
C ================================================
C ================== Edit below ==================
      qtlName="Sr2RuO4.qtl"
      bandName="Sr2RuO4.klist_band"
      Xsize=400.0
      Ysize=600.0
      Emin=-9
      Emax=7
      Efermi=0.70187
      MajorTicks=2.0
      MinorTicks=3
      TextSize=12.0
C ================== Edit above ==================
C ================================================
      end
C
      subroutine CharacterToThickness(OrbCharacter,Thickness,natoms)
      implicit none
      integer natoms
      real*8 OrbCharacter(natoms,*),Thickness
C ================================================
C ================== Edit below ==================
      Thickness=1.0
C ================== Edit above ==================
C ================================================
      end
C
      subroutine CharacterToRGBColor(OrbCharacter,RGBColor,natoms)
      implicit none
      integer natoms
      real*8 OrbCharacter(natoms,*),Red,Green,Blue,RGBColor(3)
C ================================================
C ================== Edit below ==================
       Red=(OrbCharacter(2,8)+OrbCharacter(2,10))/
     &     (1.0-OrbCharacter(5,1))
       Green=(OrbCharacter(3,1)+OrbCharacter(4,1))/
     &       (1.0-OrbCharacter(5,1))
       Blue=(OrbCharacter(2,7)+OrbCharacter(2,9))/
     &      (1.0-OrbCharacter(5,1))
C ================== Edit above ==================
C ================================================
      RGBColor(1)=Red
      RGBColor(2)=Green
      RGBColor(3)=Blue
      end

